2018-12-16 05:28 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000111QElectroTechDiagram Editorpublic2018-08-06 18:25
ReporterMorganol 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformQt5.6.1, kf5.27.0, Plasma5.8.2, OS64 bit, Linux 4.8.4, gcc 5.4.0, OS VersionMageia 6 (devel)
Product VersionSVN/trunk 
Target VersionFixed in VersionSVN/trunk 
Summary0000111: Variables logging actual file saving would be nice
DescriptionFor use in title blocks

Yes i know there is the File field on folios, but easy to forget to update, especially when saving often under new names...

Suggestion:

Variable name - Example:
%savedfilename - SuperThing.qet
%savedpathname - /home/peter/project/Super/QET/ (on Linux )
%savedtime - 14:35 (system format, preferrably excluding seconds)
%saveddate - 2016-09-27 (system format)


For obvious reasons the variables should be updated after file save dialog is confirmed, before file is saved.

Date and time should NOT get updated by opening the file, print/export, close.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000229

Morganol (reporter)

Example for the file SuperThing.qet, saved in /home/peter/project/Super/QET/, with time stamp 2016-09-27 14:35

When that .qet file is opened, set the following variables for that project:
%savedfilename - SuperThing.qet
%savedpathname - /home/peter/project/Super/QET/ (on Linux )
%savedtime - 14:35 (system format, preferrably excluding seconds)
%saveddate - 2016-09-27 (system format)

Also, when file is saved: update all variables

Variables should be available for use in templates -> automatic and clear documentation on pdf and paper exports. - very nice for ever evolving projects which seem to be what i am always involved in... ; my fellow electrician need to see he have correct revision of the print.

(it easy to forget to manually update revision and date fields correctly)

~0000355

scorpio810 (administrator)

See : https://qelectrotech.org/forum/viewtopic.php?pid=8442#p8442
+Notes

-Issue History
Date Modified Username Field Change
2016-10-28 03:08 Morganol New Issue
2017-01-10 15:45 Morganol Note Added: 0000229
2018-08-06 17:35 scorpio810 Note Added: 0000355
2018-08-06 18:25 scorpio810 Status new => resolved
2018-08-06 18:25 scorpio810 Resolution open => fixed
2018-08-06 18:25 scorpio810 Fixed in Version => SVN/trunk
+Issue History